<?php

namespace Drupal\podcast_publisher;

use Drupal\file\FileInterface;
use getID3;

/**
 * Service providing helper functions for audio file handling.
 */
class PodcastAudioService implements PodcastAudioServiceInterface {

  /**
   * @param \Drupal\file\FileInterface $file
   *
   * @return string
   */
  public function getDuration(FileInterface $file) {
    $id3 = new getID3();
    $fileinfo = $id3->analyze($file->getFileUri());
    return isset($fileinfo['playtime_string']) ? $fileinfo['playtime_string'] : '0';
  }

}
